Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.monitoring.reconfiguration
Class JmxSpringSettings

    java.lang.Object
      org.apache.cocoon.monitoring.reconfiguration.JmxSpringSettings

    @ManagedResource(objectName="org.apache.cocoon:group=Reconfiguration,name=JmxSpringSettings")
    public class JmxSpringSettings

extends Object

Constructor Summary
`JmxSpringSettings(org.apache.cocoon.configuration.Settings settings)`

Method Summary
`String` | `getCacheDirectory()`
`String` | `getContainerEncoding()`
`String` | `getCreationTime()`
`String` | `getFormEncoding()`
`String` | `getProperty(String key)`
`long` | `getReloadingDelay(String type)`
`String` | `getRunningMode()`
`boolean` | `isReloadingEnabled(String type)`
`String[]` | `listLoadClasses()`
`String[]` | `listPropertys()`
`String[]` | `listPropertys(String keyPrefix)`
`void` | `setContainerEncoding(String encoding)`
`void` | `setFormEncoding(String formEncoding)`
`void` | `setProperty(String key, String value)` Sets new value of property.
`void` | `setReloadingEnabled(boolean allowReload)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxSpringSettings

    public JmxSpringSettings(org.apache.cocoon.configuration.Settings settings)

Method Detail

### getProperty

    @ManagedOperation(description="Get the value of a property.")
    @ManagedOperationParameters(value=)
    public final String getProperty(String key)

  See Also:
    `Settings.getProperty(java.lang.String)`

### listPropertys

    @ManagedOperation(description="Return all available property names starting with the prefix.")
    @ManagedOperationParameters(value=)
    public final String[] listPropertys(String keyPrefix)

  See Also:
    `Settings.getPropertyNames(java.lang.String)`

### listPropertys

    @ManagedOperation(description="Return all available property names.")
    public final String[] listPropertys()

  See Also:
    `Settings.getPropertyNames()`

### listLoadClasses

    @ManagedAttribute(description="List classes that should be loaded at initialization time of the servlet.")
    public final String[] listLoadClasses()

  See Also:
    `Settings.getLoadClasses()`

### getFormEncoding

    @ManagedAttribute(description="The character set used to decode request parameters.")
    public final String getFormEncoding()

  See Also:
    `Settings.getFormEncoding()`

### getContainerEncoding

    @ManagedAttribute(description="Encoding used by the container.")
    public final String getContainerEncoding()

  See Also:
    `Settings.getContainerEncoding()`

### getCacheDirectory

    @ManagedAttribute(description="Specify where Cocoon should create its page and other objects cache. The path specified can be either absolute or relative to the context path of the servlet.")
    public final String getCacheDirectory()

  See Also:
    `Settings.getCacheDirectory()`

### getCreationTime

    @ManagedAttribute(description="The creation time of the current settings instance.")
    public final String getCreationTime()

  See Also:
    `Settings.getCreationTime()`

### isReloadingEnabled

    @ManagedOperation(description="This method can be used by components to query if they are configured to check for reloading.")
    @ManagedOperationParameters(value=)
    public final boolean isReloadingEnabled(String type)

  See Also:
    `Settings.isReloadingEnabled(java.lang.String)`

### getReloadingDelay

    @ManagedOperation(description="This method can be used by components to get the configured delay period between checks.")
    public final long getReloadingDelay(String type)

  See Also:
    `Settings.getReloadDelay(java.lang.String)`

### getRunningMode

    @ManagedAttribute(description="Return the current running mode.")
    public final String getRunningMode()

  See Also:
    `Settings.getRunningMode()`

### setProperty

    @ManagedOperation(description="Sets new value of property. (Note: This change is not persistant!)")
    @ManagedOperationParameters(value={,})
    public final void setProperty(String key,
                                                                                              String value)

  Sets new value of property.

  Parameters:
    `key` - Property key that value should be changed.
    `value` - New value of property.

### setFormEncoding

    @ManagedOperation(description="Sets form encoding\'. (Note: This change is not persistant!)")
    @ManagedOperationParameters(value=)
    public final void setFormEncoding(String formEncoding)

  See Also:
    `MutableSettings.setFormEncoding(java.lang.String)`

### setContainerEncoding

    @ManagedOperation(description="Set the container encoding.")
    @ManagedOperationParameters(value=)
    public final void setContainerEncoding(String encoding)

  See Also:
    `MutableSettings.setContainerEncoding(java.lang.String)`

### setReloadingEnabled

    @ManagedOperation(description="Allow reloading. (Note: This change is not persistant!)")
    @ManagedOperationParameters(value=)
    public final void setReloadingEnabled(boolean allowReload)

  See Also:
    `MutableSettings.setReloadingEnabled(boolean)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.